田草博客
日志搜索


 标题   内容 评论


网友交流QQ群:11740834 需注明申请加入原因

微信 公众号:ByCAD

邮箱:tiancao1001x126.com
ByCAD,微信公众号
首页 | 普通 | 电脑 | AutoCAD | VB/VB.NET | FLash | 结构 | 建筑 | 电影 | BIM | 规范 | 软件
-电信用户-|-网通用户-
-博客论坛-|-软件下载-
-网站导航-|-规范下载-
-BelovedFLash欣赏-

用户登陆
用户:
密码:
 

站点日历
73 2019 - 1 48
  12345
6789101112
13141516171819
20212223242526
2728293031

站点统计

最新评论


友情链接

其他信息

[17] [18] [19] [20] [21] [22] [23] [24] [25] [26]  ... [26]  显示模式: 默认视图 | 文章列表
    BLOCKEDITLOCK 系统变量   
         类型:  整数 
    保存位置:  注册表
    初始值:  0 
    禁止打开块编辑器和编辑动态块定义。 将 BLOCKEDITLOCK 设置为1 时,双击图形中的动态块以打开“参照编辑”对话框。 如果块包含属性,那么双击块参照将打开增强属性编辑器 
    0 指定可以打开块编辑器
     1 指定不可以打开块编辑器

    当这个变量值为1时,不可以打开块编辑器,而是打开在位编辑器(refedit),只有在块编辑器中才可以创建动态块,在位编辑器中不被允许。
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:9975
未知 标注面域面积   [ 2008-08-07  |  本站原创 ]
'标注面域面积*******************************************************
'
Sub DimArea()
    'On Error Resume Next
    Dim A As Double
    Dim xHeight As Integer
    Dim Temp As AcadEntity
    Dim Pmin As Variant
    Dim Pmax As Variant
    Dim Pc As Variant
    Dim T As AcadText
n:
    '先选择一个标注对象
    ThisDrawing.Utility.GetEntity Temp, Pmin, "请选择一个标注对像"
    Prompt Temp.ObjectName
    If Temp.ObjectName = "AcDbRegion" Then
        A = Temp.Area
        A = A / 10 ^ 6
        A = Format(A, "0.0000")
        'MsgBox A
        Temp.GetBoundingBox Pmin, Pmax
        Pc = centerPoint(Pmin, Pmax)
        'ThisDrawing.ModelSpace.AddPoint Pmin
        'ThisDrawing.ModelSpace.AddPoint pamx
        xHeight = P2PDistance(Pmin, Pmax) / 5
        If xHeight > 2000 Then xHeight = 2000
        Set T = ThisDrawing.ModelSpace.AddText(A, Point3D(0, 0, 0), xHeight)
        T.Alignment = acAlignmentCenter
        T.Move T.TextAlignmentPoint, Pc
    Else
        GoTo n:
    End If
End Sub
'***************************************************************************

阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:5904
命令行: select 

选择对象: 使用对象选择方法 

执行许多命令(包括 SELECT 命令本身)后都会出现“选择对象”提示。 不管由哪个命令给出“选择对象”提示,都可以使用这些方法。 要查看所有选项,请在命令行中输入 ?。

窗口(W)/上一个(L)/窗交(C)/框选(BOX)/全部(ALL)/栏选(F)/圈围(WP)/圈交(CP)/编组(G)/添加(A)/删除(R)/多选(M)/上一个(P)/放弃(U)/自动(AU)/单选(SI) 

阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:33954
未知 AutoCAD 布局打印和发布   [ 2008-08-06  |  本站原创 ]
    很惭愧,今天才学会CAD的布局打印,这个东西应该很方便的。但是起初很难让人明白他是怎么回事。AutoCAD中也没有提供较好的简洁命令。他为什么不自己带一个像天正一样的“插入视口”这样的命令呢,多方便。
    AutoCAD的发布命令,实际上就是个批处理打印,改这个名字之后让很多人忽略了他,打印出图很是方便。怪不得从2004后,AuToCAD就放弃了batchplt.exe(AutoCAD 批处理打印实用程序)。习惯用这个程序的还可以将这个程序拷贝到以后的AutoCAD各个版本中去,同样可以使用。

阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:7256
未知 田草工具箱AutoCAD2009   [ 2008-08-05  |  本站原创 ]
按此在新窗口打开图片

阅读全文……
作者:田草 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:7143
未知 acCtrl控件使用   [ 2008-08-05  |  本站原创 ]
 AcCtrl是一个ActiveX控件,示例程序通过在Form中插入一个AcCtrl控件来查看,修改DWG图形文件。该控件只提供一个Src属性用于设置DWG图形文件名和一个PostCommand方法用于发送命令。支持直接输入命令。

阅读全文……
作者:田草 | 分类:AutoCAD | 评论:2 | 引用:0 | 查看:71533
未知 AutoCAD工具选项板   [ 2008-08-05  |  本站原创 ]
    AutoCAD工具选项板文件保持扩展名为*.ATC,用户导出的文件扩展名名*.xtp,二者都可以用记事本打开直接编辑。AutoCAD安装文件中的选项板文件保存在Program Files\Root\UserDataCache\Support路径下面。
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:9640
未知 田草工具箱简化版   [ 2008-08-04  |  本站原创 ]
按此在新窗口打开图片

今天为他们写了一个简化版的,只有很少的几个功能。

阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:5214
(1)在“工具箱”中的空白区域单击右键,从弹出的菜单中选择“附加控件”菜单项。
(2)在“附加控件”对话框中,引用“AcFocusCtrl”控件,单击“确定”按钮关闭该对话框。
(3)将添加的“AcFocusCtrl”控件放置在要作为非模态使用的窗体中,并在窗体的初始化事件中添加:Me.AcFocusCtrl1.KeepFocus = True
(4)在ThisDrawing模块中添加下面的语句:
Sub Test()
UserForm1.Show vbModeless
End Sub
(5)运行Test宏,窗体自由切换的效果。

阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:13323
将注册表中的.scr定义由AutoCADScriptFile改为scrfile

[HKEY_CLASSES_ROOT\.scr]
@="AutoCADScriptFile"

改为

[HKEY_CLASSES_ROOT\.scr]
@="scrfile
"

阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:7598
    单文档兼容模式 系统变量 SDI

    双击打开CAD DWG文件,就会新开一个CAD窗口?
    菜单打开CAD DWG文件,会提示关闭另外一个文件?
    这是为什么呢?
    这是由SDI系统变量控制的。

按此在新窗口打开图片

阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:13317
1、打印戳记惹的祸,关闭打印戳记,在AutoCAD的安装目录下找到AcPltStamp.arx文件,把它改名或删除。
2、CAD打印样式表,不支持多路径,在选项打印文件支持路径中删除多余的打印样式表路径。
阅读全文……
作者:田草 | 分类:AutoCAD | 评论:1 | 引用:0 | 查看:27830
按此在新窗口打开图片
  阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:5 | 引用:0 | 查看:45714
未知 点集的边界   [ 2008-07-16  |  本站原创 ]
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:11009
未知 vba 命令管理成功实现   [ 2008-07-16  |  本站原创 ]
按此在新窗口打开图片

阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:7980
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:1 | 引用:0 | 查看:57021
未知 CAD 对象加上超链接   [ 2008-07-11  |  本站原创 ]
Sub Add_HyperLinks()

    Dim Hyperlinks As AcadHyperlinks
    Dim Hyperlink As AcadHyperlink
    
    Dim Obj As AcadEntity

    For Each Obj In ThisDrawing.ModelSpace
        Set Hyperlinks = Obj.Hyperlinks
        Set Hyperlink = Hyperlinks.Add("田草博客")
            Hyperlink.URL = "http://www.tiancao.net"
            Hyperlink.URLDescription = "Ctrl+单击编辑对象"
            Hyperlink.URLNamedLocation = "田草博客"
    Next

End Sub
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:1 | 引用:0 | 查看:8631
'统一标注样式中的字体
Sub TongyiDimstyleText()
    'On Error Resume Next
    Dim i As Integer
    Dim DimS As AcadDimStyle
    For Each DimS In ThisDrawing.DimStyles
        Set DimS = ThisDrawing.DimStyles(i)
        'DimS.Name = "DimStyle_" & str(i)
        ThisDrawing.ActiveDimStyle = DimS
        ThisDrawing.SetVariable "DimTxSty", "STANDARD"     '指定标注的文字样式
        DimS.CopyFrom ThisDrawing
        i = i + 1
    Next
End Sub
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:1 | 引用:0 | 查看:10283
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:2 | 引用:0 | 查看:17874
未知 vba 创建标注样式   [ 2008-05-27  |  转帖 ]
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:14642

[17] [18] [19] [20] [21] [22] [23] [24] [25] [26]  ... [26]  
Tiancao Blog All Rights Reserved 田草博客 版权所有
Copyright ©